Grey boxes missing from dashboard widgets after gridster update

11/08/2015 03:35 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Dashboard   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2894

  

Description

gridster-rails has been updated from 0.1.5.1 to 0.2.1, then 0.5.6.  Since 0.2.1, the grey boxes that act as the background on the

dashboard widgets are missing.  The widgets only appear with a white background, which makes it hard to tell where they begin and

end.

Since gridster-rails is pinned to ~> 0.1, this will affect all branches.

Associated revisions

Revision e75ad04b - 11/12/2015 05:56 AM - Tomer Brisker

Fixes #12418 - Correct dashboard behaviour for updated gridster

Updated version of gridster changed the widget class from gs_w to gs-w:

https://github.com/ducksboard/gridster.js/commit/c1668d9ab6261d3c5dc4215abdb73ca516492c19

This led to a bit of breakage in css and js which is fixed by this commit.

There was also a change in the way the total width of the gridster

element was calculated that required a change to the initialization.

Revision 1e9b1dad - 11/12/2015 06:01 AM - Dominic Cleal

refs #12418 - require gridster-rails 0.5

Revision ffa99f3c - 11/16/2015 09:30 AM - Tomer Brisker

Fixes #12418 - Correct dashboard behaviour for updated gridster

Updated version of gridster changed the widget class from gs_w to gs-w:

https://github.com/ducksboard/gridster.js/commit/c1668d9ab6261d3c5dc4215abdb73ca516492c19

This led to a bit of breakage in css and js which is fixed by this commit.

There was also a change in the way the total width of the gridster

element was calculated that required a change to the initialization.

(cherry picked from commit e75ad04b0e45f15954eb45b09af1f484027db402)

History

#1 - 11/09/2015 05:59 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#2 - 11/09/2015 06:30 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2894 added

#3 - 11/12/2015 06:01 AM - Anonymous

- Status changed from Ready For Testing to Closed
https://github.com/ducksboard/gridster.js/commit/c1668d9ab6261d3c5dc4215abdb73ca516492c19
https://github.com/ducksboard/gridster.js/commit/c1668d9ab6261d3c5dc4215abdb73ca516492c19


- % Done changed from 0 to 100

Applied in changeset e75ad04b0e45f15954eb45b09af1f484027db402.
